Skip to main content
GET
Retrieve a wallet balance

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
walletId
string
required

Public ID of the wallet (prefixed with wlt_)

Query Parameters

currency
enum<string>
required

Currency to return the balance for. Use GAS for the chain's native gas token.

Available options:
USDC,
USDT,
USDG,
SOL,
RLUSD,
USDHIFI,
PYUSD,
PYUSD0,
USDCX,
GAS

Response

Wallet balance retrieved successfully.

Balance of a wallet for a given currency.

balance
string

Balance in the token's smallest unit.

Example:

"1000000"

displayBalance
string

Human-readable balance in whole token units.

Example:

"1.00"

tokenInfo
object | null

Metadata for the token the balance is denominated in. Null when no token balance exists.